version: 2

models:
  - name: contratos  # Nome do modelo que estamos testando
    tests:
      - not_null:
          column_name: id  # Testa se a coluna id não é nula
      - unique:  # Testa se a coluna id é única
          column_name: id  # Verifica unicidade da coluna id
      - not_null:
          column_name: receita_despesa  # Testa se receita_despesa não é nula
      - not_null:
          column_name: numero  # Testa se numero não é nulo
      - not_null:
          column_name: contratante_orgao_origem_codigo  # Testa se orgao_codigo não é nulo
      - not_null:
          column_name: contratante_orgao_origem_nome  # Testa se orgao_nome não é nulo
      - not_null:
          column_name: contratante_orgao_origem_unidade_gestora_origem_codigo  # Testa se unidade_codigo não é nulo
      - not_null:
          column_name: contratante_orgao_origem_unidade_gestora_origem_nome_resumido  # Testa se unidade_nome_resumido não é nulo
      - not_null:
          column_name: contratante_orgao_origem_unidade_gestora_origem_nome  # Testa se unidade_nome não é nulo
      - not_null:
          column_name: contratante_orgao_origem_unidade_gestora_origem_sisg  # Testa se fornecedor_tipo não é nulo
      - not_null:
          column_name: contratante_orgao_origem_unidade_gestora_origem_utiliza_siafi  # Testa se fornecedor_cnpj_cpf_idgener não é nulo
      - not_null:
          column_name: contratante_orgao_origem_unidade_gestora_origem_utiliza_antecip  # Testa se fornecedor_nome não é nulo
      - not_null:
          column_name: codigo_tipo  # Testa se codigo_tipo não é nulo
      - not_null:
          column_name: fornecedor_tipo  # Testa se tipo não é nulo
      - not_null:
          column_name: categoria  # Testa se categoria não é nula
      - not_null:
          column_name: processo  # Testa se processo não é nulo
      - not_null:
          column_name: objeto  # Testa se objeto não é nulo
      - not_null:
          column_name: codigo_modalidade  # Testa se codigo_modalidade não é nulo
      - not_null:
          column_name: modalidade  # Testa se modalidade não é nulo
      - not_null:
          column_name: data_assinatura  # Testa se data_assinatura não é nula
      - not_null:
          column_name: vigencia_inicio  # Testa se vigencia_inicio não é nulo
      - not_null:
          column_name: vigencia_fim  # Testa se vigencia_fim não é nulo
      - not_null:
          column_name: valor_inicial  # Testa se valor_inicial não é nulo
      - not_null:
          column_name: valor_global  # Testa se valor_global não é nulo
      - not_null:
          column_name: num_parcelas  # Testa se num_parcelas não é nulo
      - not_null:
          column_name: valor_parcela  # Testa se valor_parcela não é nulo
      - not_null:
          column_name: valor_acumulado  # Testa se valor_acumulado não é nulo
      - not_null:
          column_name: situacao  # Testa se situacao não é nula
